<?php


namespace Schaffen\Financial\BillingRoute\Repositories;


use Freelabois\LaravelQuickstart\Extendables\Repository;
use Schaffen\Core\Person\Models\Person;
use Schaffen\Financial\BillingRoute\Models\Route;

class RouteRepository extends Repository
{
    protected $model = Route::class;
    protected $searchableFields = [
        ['field' => 'rot_codigo'],
        ['field' => 'rot_descricao', 'operator' => 'ilike'],
    ];

    protected function applyCustomFilters()
    {
        extract($this->filters);
    }

    public function buscaCliente($values)
    {
        return  Person::leftJoin('cadastro.pessoa_modalidade', 'pes_codigo', '=', 'pem_fk_pes_codigo')
            ->where('cadastro.pessoa_modalidade.pem_fk_mdd_codigo',3)
            ->where($values['tipo_consulta'], "ilike", "%" . $values['string_consulta'] . "%")
            ->with('address', 'contact', 'route_client')->paginate(45);
    }

    public function todosOsClientes(){
        return  Person::leftJoin('cadastro.pessoa_modalidade', 'pes_codigo', '=', 'pem_fk_pes_codigo')
            ->where('cadastro.pessoa_modalidade.pem_fk_mdd_codigo',3)
            ->with('address', 'contact', 'route_client')->paginate(45);
    }
}